#include "MainWnd.h"
#include "ui_MainWnd.h"
#include "Demo001_1.h"
#include "Demo001_2.h"
#include "Demo001_3.h"

MainWnd::MainWnd(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWnd)
{
    ui->setupUi(this);

    initForm();
}

MainWnd::~MainWnd()
{
    delete ui;
}

void MainWnd::initForm()
{
    // 隐藏原生标题栏
    setWindowFlags(Qt::FramelessWindowHint | Qt::Dialog);

    // 窗口背景透明
    setAttribute(Qt::WA_TranslucentBackground, true);


    QPixmap pixmap(":/images/light/logo1.png");
    QPixmap scaledPixmap = pixmap.scaled(90, 49, Qt::KeepAspectRatio);
    ui->label_logo->setPixmap(scaledPixmap);

    ui->tabBondBtn->setIcon(QIcon(":/images/light/home.png"));
    ui->tabBondBtn_2->setIcon(QIcon(":/images/light/Productionn assistance.png"));
    ui->tabBondBtn_3->setIcon(QIcon(":/images/light/Program.png"));
    ui->tabBondBtn_4->setIcon(QIcon(":/images/light/Message.png"));
    ui->tabBondBtn_5->setIcon(QIcon(":/images/light/Module.png"));
    ui->tabBondBtn_6->setIcon(QIcon(":/images/light/Disposition.png"));
    ui->tabBondBtn_7->setIcon(QIcon(":/images/light/Diagnosis.png"));
    ui->tabBondBtn_8->setIcon(QIcon(":/images/light/System.png"));
    ui->tabBondBtn_9->setIcon(QIcon(":/images/light/Help.png"));
    ui->tabBondBtn_2->setToolButtonStyle(Qt::ToolButtonTextUnderIcon);

    ui->toolButton->setIcon(QIcon(":/images/light/stop.png"));
    ui->toolButton_2->setIcon(QIcon(":/images/light/start.png"));
    ui->toolButton->setToolButtonStyle(Qt::ToolButtonTextBesideIcon);
    ui->toolButton_2->setToolButtonStyle(Qt::ToolButtonTextBesideIcon);


    ui->label_6->setPixmap(QPixmap(":/images/light/user.png").scaled(20, 20, Qt::KeepAspectRatio));
}


void MainWnd::on_pushButton_4_clicked()
{
    Demo001_1 *demo001_1 = new Demo001_1;
    ui->switchShowPageUI->addWidget(demo001_1);
    ui->switchShowPageUI->setCurrentIndex(ui->switchShowPageUI->indexOf(demo001_1));
}


void MainWnd::on_pushButton_5_clicked()
{
    Demo001_2 *demo001_2 = new Demo001_2;
    ui->switchShowPageUI->addWidget(demo001_2);
    ui->switchShowPageUI->setCurrentIndex(ui->switchShowPageUI->indexOf(demo001_2));
}


void MainWnd::on_pushButton_6_clicked()
{
    Demo001_3 *demo001_3 = new Demo001_3;
    ui->switchShowPageUI->addWidget(demo001_3);
    ui->switchShowPageUI->setCurrentIndex(ui->switchShowPageUI->indexOf(demo001_3));
}

